Bug 1328337 - AttributeError: 'NoneType' object has no attribute 'device'
Summary: AttributeError: 'NoneType' object has no attribute 'device'
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator   
(Show other bugs)
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1310542
TreeView+ depends on / blocked
 
Reported: 2016-04-19 07:29 UTC by Petr Schindler
Modified: 2016-09-20 02:47 UTC (History)
6 users (show)

Fixed In Version: liveusb-creator-3.93.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-26 16:35:16 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Petr Schindler 2016-04-19 07:29:56 UTC
Description of problem:
I got $Summary traceback whenever I try to write the image on disk. See steps to reproduce.

Terminal output of whole run:
$ sudo liveusb-creator
file:///usr/lib64/qt5/qml/QtQuick/Controls/ComboBox.qml:560:5: QML Menu: Binding loop detected for property "__selectedIndex"
[creator:354] Overwriting device with live image
[gui:213] 'NoneType' object has no attribute 'device'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 209, in run
    self.ddImage(now)
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 219, in ddImage
    self.live.dd_image(self.update_progress)
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 355, in dd_image
    drive = self.drive.device
AttributeError: 'NoneType' object has no attribute 'device'
qrc:/components/DownloadDialog.qml:82: ReferenceError: cross is not defined
qrc:/components/DownloadDialog.qml:81: ReferenceError: cross is not defined

Version-Release number of selected component (if applicable):
liveusb-creator-3.92.1-1.fc24.noarch

How reproducible:
2/2 with following steps to reproduce

Steps to Reproduce:
1. Run liveusb-creator.
2. Insert flesh drive already populated with live image.
3. Click on restore in announcement about 'already populated disk inserted'.
4. Click on restore again. It finish restoring successfully.
5. Choose version (I chose Workstation 64bit).
6. Click on 'write image' after it is downloaded or click on 'write after it is downloaded' during download.

Actual results:
$Summary appears.

Expected results:
Image is written.

Additional info:

Comment 1 Kamil Páral 2016-04-19 11:47:35 UTC
The same problem with liveusb-creator-3.92.1-1.fc23.noarch. I also restored the drive first, then tried to write an image.

Comment 2 Kamil Páral 2016-04-20 10:35:53 UTC
This only happens when you "restore your device" and then immediately write to it. It seems FMR doesn't refresh the device info after it restores it, and then is surprised to find something else.

Comment 3 Fedora Update System 2016-04-21 16:13:08 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 4 Fedora Update System 2016-04-21 16:14:03 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 5 Fedora Update System 2016-04-21 22:00:16 UTC
liveusb-creator-3.93.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 6 Kamil Páral 2016-04-22 08:29:08 UTC
This is fixed with liveusb-creator-3.93.1-1.fc24

Comment 7 Fedora Update System 2016-04-22 17:07:13 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 8 Fedora Update System 2016-04-24 01:25:36 UTC
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 9 Fedora Update System 2016-04-26 08:13:57 UTC
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 10 Fedora Update System 2016-04-26 16:23:57 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 11 Fedora Update System 2016-04-26 16:33:32 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.